org.apache.flume.sink.kite.parser

## Interface EntityParser.Builder<E>

- Type Parameters:
    `E` - The type of entities generated
  All Known Implementing Classes:
    AvroParser.Builder
  Enclosing interface:
    EntityParser<E>

      public static interface EntityParser.Builder<E>

  Knows how to build `EntityParser`s. Implementers must provide a no-arg constructor.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EntityParser<E>` | `build(org.apache.avro.Schema datasetSchema, Context config)`

- - ### Method Detail

    - #### build

          EntityParser<E> build(org.apache.avro.Schema datasetSchema,
                              Context config)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.